Subject: Re: [PATCH 0/3] doc: unify config info on some cmds

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 16 Jul 2022 09:53:23 +0200

On Fri, Jul 15 2022, Matheus Tavares wrote:

> Em qui, 14 de jul de 2022 18:27, Ævar Arnfjörð Bjarmason
> <[email-masked]> escreveu:
>>
>>
>> Here's a cleaned up version of what I have, which I figure is probably
>> better linked-to than contributing to my E-Mail quota :):
>>
>>         https://github.com/git/git/compare/master...avar:git:avar/doc-config-includes
>
> Thanks for sharing your version!
>
>> The one thing I'd like you to reconsider is to drop the idea of adding
>> these "ifndef::git-grep[]" defines and the like. In your version it
>> yields an arguably better result.
>>
>> But I think what we should be going for is the more general direction
>> outlined above, at which point that becomes quite a mess of
>> ifdefs. I.e. config/gc/rerere.txt would need to know what it's going to
>> get include in, which would be N number of manpages in the genreal case,
>> not just "main or config" as this series leaves it.
>>
>> I think the solution I have to that in 1/9 in that first series is a
>> better trade-off, i.e. we just (eventually, your series doesn't need to
>> do that) include some standard wording saying that what you're looking
>> at in git-CMD(1) is transcluded as-is from the relevant part of
>> git-config(1). I.e.:
>>
>>         Everything below this line in this section is selectively included
>>         from the linkgit:git-config[1] documentation. The content is the same
>>         as what's found there:
>>
>> What do you think about doing that instead?
>
> I like the includes/* idea, and I agree that it is a more sensible way
> forward than the many 'ifndef[]::git-cmd.txt's :) Your linked changes
> also cover a wider range of cmds than my series does. So I'd be happy
> to have them as a replacement to this series.

I can submit what I've got as a v2 if you'd like, but I'd be just as
happy with you picking this up & running with it, whether that's seeing
what you'd like to integrate into your series here, or perhaps rebasing
your patches on the 1st patch I have (the one that introduces those
"Everything below this..." template)>

But OTOH if you're going to drop the "ifndef" idea I think what you'd
come up with will be identical to the patch bodies I've got for the bits
you modified, so perhaps it's easier if I just submit mine...

Just let me know, I'd just like these docs fixed & unified.